SphinxClient::setFieldWeights
SphinxClient::setFilterFloatRange
SphinxClient
PHP Manual

# SphinxClient::setFilter

(PECL sphinx >= 0.1.0)

SphinxClient::setFilter — Add new integer values set filter

### Descrição

public bool SphinxClient::setFilter ( string `$attribute` , array `$values` [, bool `$exclude` = false ] )

Adds new integer values set filter to the existing list of filters.

### Parâmetros

`attribute`

  An attribute name.

`values`

  Plain array of integer values.

`exclude`

  If set to `TRUE`, matching documents are excluded from the result set.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

### Veja Também

- SphinxClient::setFilterFloatRange
- SphinxClient::setFilterRange
- SphinxClient::resetFilters

SphinxClient::setFieldWeights
SphinxClient::setFilterFloatRange
SphinxClient
PHP Manual